wreport::BufrCodecOptions Class Reference

Options used to configure BUFR decoding. More...

`#include <bulletin.h>`

## Static Public Member Functions

static std::unique_ptr< BufrCodecOptions > | create ()
| Create a BufrCodecOptions.

## Data Fields

bool | decode_adds_undef_attrs = false
| By default (false) undefined attributes are not added to variables, and there is no difference between an undefined or a missing attribute.

## Detailed Description

Options used to configure BUFR decoding.

## Member Function Documentation

## create()

std::unique_ptr< BufrCodecOptions > wreport::BufrCodecOptions::create | ( |  | ) |

static

Create a BufrCodecOptions.

Options may be added at any time to future versions of the structure. To reduce the likelyhook of breaking ABI, construction on stack is discouraged in favour of an allocator function.

## Field Documentation

## decode_adds_undef_attrs

bool wreport::BufrCodecOptions::decode_adds_undef_attrs = false

By default (false) undefined attributes are not added to variables, and there is no difference between an undefined or a missing attribute.

If this is set to true, undefined attributes are added to variables, so that it is possible to tell between a variable with no attributes and a variable for which the bulletin provides attributes but they have an missing value.

The documentation for this class was generated from the following file:

- bulletin.h